<?xml version="1.0" encoding="utf-8"?>
<CardLibrary xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" ID="F4F6E9EC-E116-4070-96C5-18E7389CBC89" Alias="Workflow" ControlInfo="clsid:{B247E4CE-8222-4F52-9C9E-569F3B0B8232}" IconFile="Icons\Workflow.ico" Version="1835" MsiProductCode="" MsiPackageName="">
	<Definitions>
		<RefCardDefinition>FunctionList.xml</RefCardDefinition>
		<RefCardDefinition>GateList.xml</RefCardDefinition>
		<RefCardDefinition>Monitor.xml</RefCardDefinition>
		<RefCardDefinition>Process.xml</RefCardDefinition>
		<RefCardDefinition>Settings.xml</RefCardDefinition>
	</Definitions>
	<Name>
		<LocalizedString Language="ru">Управление процессами</LocalizedString>
		<LocalizedString Language="uk">Управління процесами</LocalizedString>
		<LocalizedString Language="en">Workflow</LocalizedString>
		<LocalizedString Language="lv">Darba plūsma</LocalizedString>
	</Name>
	<Reports>
		<Report Alias="dvsys_workflow_get_process_passstates" ID="3F08FF34-DD82-4F99-B482-F9A581201749" SQLFile="GetPassStates.sql">
			<Name>
				<LocalizedString Language="en">Get process active pass states</LocalizedString>
				<LocalizedString Language="ru">Получить активные проходы процесса</LocalizedString>
				<LocalizedString Language="lv">Saņemt aktīvos procesa izlaistos stāvokļus </LocalizedString>
			</Name>
			<Parameter Type="uniqueidentifier" Name="InstanceID"/>
		</Report>
		<Report Alias="dvsys_workflow_set_pass_info" ID="12723683-F795-492B-B8B6-01C378DD7980" SQLFile="SetPassInfo.sql">
			<Name>
				<LocalizedString Language="en">Set pass state info</LocalizedString>
				<LocalizedString Language="ru">Установить информацию о проходе</LocalizedString>
				<LocalizedString Language="lv">Norādīt informāciju par izlaistu stāvokli</LocalizedString>
			</Name>
			<Parameter Type="uniqueidentifier" Name="InstanceID"/>
			<Parameter Type="uniqueidentifier" Name="PassStateRowID"/>
			<Parameter Type="integer" Name="State"/>
			<Parameter Type="datetime" Name="ExecuteTime"/>
			<Parameter Type="text" Name="Data"/>
			<Parameter Type="bool" Name="HasErrors"/>
			<Parameter Type="bool" Name="HasWarnings"/>
		</Report>
		<Report Alias="dvsys_workflow_clear_monitor_history" ID="38158983-517E-4AD5-8CE0-146615CA2A02" SQLFile="ClearHistory.sql">
			<Name>
				<LocalizedString Language="en">Clear monitor history</LocalizedString>
				<LocalizedString Language="ru">Очистить историю мониторинга</LocalizedString>
				<LocalizedString Language="lv">Dzēst pārraudzības vēsturi</LocalizedString>
			</Name>
			<Parameter Type="uniqueidentifier" Name="InstanceID"/>
			<Parameter Type="uniqueidentifier" Name="FunctionID"/>
			<Parameter Type="bool" Name="ClearAll"/>
			<Parameter Type="string" Name="Source"/>
		</Report>
		<Report Alias="dvsys_workflow_save_values_to_history" ID="3CC7F4AB-AF70-4AB2-B0B3-35C0465E74E4" SQLFile="RecordValuesToHistory.sql">
			<Name>
				<LocalizedString Language="en">Save values to monitor history</LocalizedString>
				<LocalizedString Language="ru">Записать значения в историю мониторинга</LocalizedString>
				<LocalizedString Language="lv">Saglabāt vērtības pārraudzītāja vēsturē</LocalizedString>
			</Name>
			<Parameter Type="uniqueidentifier" Name="InstanceID"/>
			<Parameter Type="uniqueidentifier" Name="FunctionID"/>
			<Parameter Type="string" Name="Source"/>
			<Parameter Type="text" Name="Values"/>
		</Report>
		<Report Alias="dvsys_workflow_check_values_in_history" ID="72F1BFF9-02A1-4F7E-B6DD-BB4B81F149B9" SQLFile="CheckValuesInHistory.sql">
			<Name>
				<LocalizedString Language="en">Check values in history</LocalizedString>
				<LocalizedString Language="ru">Проверить значения в истории</LocalizedString>
				<LocalizedString Language="lv">Pārbaudīt vērtības vēsturē</LocalizedString>
			</Name>
			<Parameter Type="uniqueidentifier" Name="InstanceID"/>
			<Parameter Type="uniqueidentifier" Name="FunctionID"/>
			<Parameter Type="string" Name="Source"/>
			<Parameter Type="text" Name="Values"/>
		</Report>
		<Report Alias="dvsys_workflow_get_log_message_count" ID="BF99D7D3-B707-4E0F-A197-52C6EC911B8A" SQLFile="GetLogMessageCount.sql">
			<Name>
				<LocalizedString Language="en">Get process log message count</LocalizedString>
				<LocalizedString Language="ru">Получить число сообщений в журнале</LocalizedString>
				<LocalizedString Language="lv">Saņemt procesa žurnāla paziņojumu skaitu</LocalizedString>
			</Name>
			<Parameter Type="uniqueidentifier" Name="ProcessID"/>
		</Report>
		<Report Alias="dvsys_workflow_clear_log" ID="04429229-F16F-4298-84E0-DBF5C25C15DC" SQLFile="ClearLog.sql">
			<Name>
				<LocalizedString Language="en">Clear log</LocalizedString>
				<LocalizedString Language="ru">Очистить журнал</LocalizedString>
				<LocalizedString Language="lv">Dzēst žurnāla ierakstus</LocalizedString>
			</Name>
			<Parameter Type="uniqueidentifier" Name="ProcessID"/>
		</Report>
		<Report Alias="dvsys_workflow_delete_logmessage" ID="5D4F33B2-DF8A-4483-8AF0-64CE4BCE9BAD" SQLFile="DeleteLogMessage.sql">
			<Name>
				<LocalizedString Language="en">Delete log message</LocalizedString>
				<LocalizedString Language="ru">Удалить сообщение журнала</LocalizedString>
				<LocalizedString Language="lv">Dzēst žurnāla ierakstu</LocalizedString>
			</Name>
			<Parameter Type="uniqueidentifier" Name="MessageID"/>
		</Report>
		<Report Alias="dvsys_workflow_update_function_statistics" ID="5E3C5902-5E38-4DCC-8C16-3C207B02EE10" SQLFile="UpdateFunctionStatistics.sql">
			<Name>
				<LocalizedString Language="en">Update function statistics</LocalizedString>
				<LocalizedString Language="ru">Обновить статистику функции</LocalizedString>
			</Name>
			<Parameter Type="uniqueidentifier" Name="InstanceID"/>
			<Parameter Type="uniqueidentifier" Name="FunctionID"/>
			<Parameter Type="double" Name="LastExecutionTime"/>
		</Report>
	</Reports>
	<Installers>
		<Installer PackageID="{57322F17-88B9-48FE-B900-3EC430C55ADD}" MsiPackageCode="{FFEAFCF6-9013-4C0F-9D5B-FBAAF575DFD7}" MsiPackageName="WorkflowClient/WorkflowClient1835.msi" Order="1" AllUsers="false" Version="1835"/>
	</Installers>
</CardLibrary>
